Bug 811211 - [ipa webui] Refresh issue with re-adding objects with same name as deleted objects
[ipa webui] Refresh issue with re-adding objects with same name as deleted ob...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
: 817121 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 08:46 EDT by Namita Soman
Modified: 2013-02-21 04:10 EST (History)
5 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-04-10 08:46:47 EDT
Description of problem:
Add a privilege, add permissions
Delete this privilege
Re-Add and edit a privilege with same name, and it will list permissions selected for this readded privilege - same as what the deleted privilege with same name had. Hit Refresh, and it is cleared

Similar issue with most objects...add a user, set title, delete this user, and readd user with same name....setting indicate same title as deleted user. Hit Refresh, and it is cleared

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-8.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add and edit an object - say a privilege
2. Add permissions
3. Delete this privilege
4. Add and edit privilege with same name

  
Actual results:
This new privilege has permissions selected (from same named privilege which was deleted)

Expected results:
No permissions should be listed for this new privilege.

Same issue with other objects

Additional info:
Comment 2 Rob Crittenden 2012-04-10 09:08:53 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2618
Comment 3 Martin Kosek 2012-08-14 02:29:17 EDT
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/690211adb52647efb6bb55919dec980d3660016e
Comment 4 Petr Vobornik 2012-08-27 08:25:12 EDT
*** Bug 817121 has been marked as a duplicate of this bug. ***
Comment 5 Jenny Galipeau 2012-09-25 12:38:11 EDT
automated regression test exists
Comment 9 Varun Mylaraiah 2013-01-18 09:45:51 EST
verified in ipa-server-3.0.0-22.el6.x86_64


https://wiki.idm.lab.bos.redhat.com/qa/archive/ipa/webui/automation/firefox/test-output-ipa-server-3.0.0-QA/0114_64bit/full%20suite/IPARBACTestSuite/index.html



testReaddingPrivilege_Bug811211
Bug 811211 - Readding privilege
Parameters: bug811211_ReaddingPrivilege, bug811211_permission, write, (givenname=abc), carlicense, bug811211_privilege, bug811211_privilege desc
Show output Show all outputs
Starting Test: testReaddingPrivilege_Bug811211([bug811211_ReaddingPrivilege, bug811211_permission, write, (givenname=abc), carlicense, bug811211_privilege, bug811211_privilege desc])

Starting Test: testReaddingPrivilege_Bug811211([bug811211_ReaddingPrivilege, bug811211_permission, write, (givenname=abc), carlicense, bug811211_privilege, bug811211_privilege desc])

Add Permission - bug811211_permission

Asserted: Verified permission write is checked for bug811211_permission

Asserted: Actual value of '(givenname=abc)' matches expected value: Verified filter (givenname=abc) for bug811211_permission

Asserted: Actual value of 'carlicense' matches expected value.

Add Privilege - bug811211_privilege

Asserted: Actual value of 'bug811211_privilege desc' matches expected value.

Asserted: Verified bug811211_permission is listed for bug811211_privilege

Re-add Privilege - bug811211_privilege

Asserted: No permissions added

Test Passed: testReaddingPrivilege_Bug811211([bug811211_ReaddingPrivilege, bug811211_permission, write, (givenname=abc), carlicense, bug811211_privilege, bug811211_privilege desc])

Test Passed: testReaddingPrivilege_Bug811211([bug811211_ReaddingPrivilege, bug811211_permission, write, (givenname=abc), carlicense, bug811211_privilege, bug811211_privilege desc])
Comment 11 errata-xmlrpc 2013-02-21 04:10:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.